Convert Markdown via REST API (Legacy)

Deprecated

Legacy Markdown REST API — Deprecated

This REST API is deprecated and will be sunset at some point in 2026 with prior communication from the team. For new integrations, use the updated Markdown export REST API and Markdown import REST API.

Use Postman

Experiment with the Conversion API in our Postman collection.

Import API endpoint

POST /import

Converts .md files (or gfm) to Tiptap JSON.

curl -X POST "https://api.tiptap.dev/v1/convert/import?format=md" \
  -H "Authorization: Bearer <your-jwt>" \
  -H "X-App-Id: <your-app-id>" \
  -F "file=@/path/to/file.md"

Import API Headers

HeaderDescription
AuthorizationBearer <your-jwt>
X-App-IdConvert App ID from https://cloud.tiptap.dev/convert-settings

Import API Fields

FieldDescription
fileThe Markdown file to convert
imageUploadCallbackUrlOptional endpoint for handling images if the Markdown file references local images

Export API endpoint

POST /export

Converts Tiptap JSON to .md or .gfm.

curl -X POST "https://api.tiptap.dev/v1/convert/export" \
  -H "Authorization: Bearer <your-jwt>" \
  -H "X-App-Id: <your-app-id>" \
  -F 'prosemirrorJson={"type":"doc","content":[{"type":"paragraph","content":[{"type":"text","text":"Hello from Tiptap!"}]}]}' \
  -F 'to=md' \
  --output document.md

Export API Headers

HeaderDescription
AuthorizationBearer <your-jwt>
X-App-IdConvert App ID from https://cloud.tiptap.dev/convert-settings

Export API Fields

FieldDescription
prosemirrorJsonTiptap/ProseMirror JSON
toTarget format, md or gfm for GitHub Flavored Markdown